# Add Inbound Site

This operation used for generating Inbound Site Id.

Endpoint: POST /api/v1/inboundsites
Version: 1.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Request fields (application/json):

  - `name` (string, required)
    The name of the inbound site to be added.
    Example: Site A

  - `type` (string, required)
    The type of the inbound site
    Example: site

  - `locationId` (string, required)
    The location ID associated with the inbound site.
    Example: M0K9QbNMgob

  - `defaultSite` (boolean)
    Indicates if this is the default site.
    Example: true

  - `name` (string, required)
    The name of the inbound site type to be added.
    Example: Building-A

  - `type` (string, required)
    The type of the inbound site
    Enum: "building", "mailstop", "floor", "office"

  - `parent` (string, required)
    This is the inboundSiteId of parent to which this type should belongs to, for example in case of type building, Site is the parent. User first need to generate Parent Inbound Site ID.
    Example: 5g6gg9DYO3WN

## Response 200:

  - `200` (unknown)
    Requested Inbound Site Id has been generated successfully.

## Response 200 fields (application/json):

  - `inboundSiteId` (string)
    Example: zADZNQ1VWvvA

## Response 400:

  - `400` (unknown)
    Invalid request.

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors.

  - `errors.errorCode` (string)
    This error can be validation_error or internal_error or not_found or already_exists
    Example: validation_error

  - `errors.errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Asset not found.

  - `errors.additionalCode` (string)
    A unique identifier for the error
    Example: 020005

  - `errors.additionalInfo` (string)
    additional information of the error.
    Example: additional information

  - `errors.additionalParameters` (string)
    The field(s) that might be incorrect in the request.
    Example: additional parameters

  - `errors.correlationID` (string)
    Example: correlationId

## Response 401:

  - `401` (unknown)
    The request could not be authorized.

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 500:

  - `500` (unknown)
    The request could not be completed due to an internal error.

